
Foreman - Refactor #35427

Tracker # 28570 (Closed): Rails 6.1 Tracker

Ensure scoped_search is at least 4.1.10

08/25/2022 09:37 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9378

  

Description

This fixes Rails 6.1 and Ruby 3 support. Raising the current lower bound of 4.1.8 to 4.1.10 shouldn't have any impact on up to date

installations, but enforces out of date installs get updated.

Associated revisions

Revision e8b6911d - 08/25/2022 10:18 AM - Ewoud Kohl van Wijngaarden

Fixes #35427 - Update scoped_search to at least 4.1.10

This fixes Rails 6.1 and Ruby 3 support.

History

#1 - 08/25/2022 10:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9378 added

#2 - 08/25/2022 10:18 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 08/25/2022 11:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e8b6911d334b2be07e4fa4d984bdb15f711cbc47.

#4 - 11/28/2022 12:28 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
